as.windrose {oce} | R Documentation

## Create a windrose object

### Description

Create a wind-rose object, typically for plotting with plot.windrose().

### Usage

    as.windrose(x, y, dtheta = 15, debug=getOption("oceDebug"))

### Arguments

`x` | the x component of wind speed (or stress) or an object of class `met` (see `met-class`), in which case the `u` and `v` components of that object are used for the components of wind speed, and `y` here is ignored.
`y` | the y component of wind speed (or stress).
`dtheta` | the angle increment (in degrees) within which to classify the data
`debug` | a flag that turns on debugging. Set to 1 to get a moderate amount of debugging information, or to 2 to get more.

### Details

This is analagous to a histogram, but with breaks being angles.

### Value

An object of `class` `"windrose"`, which contains the standard `oce` slots named `data`, `metadata` and `proxessingLog`. The `data` slot contains

`n`

  the number of x values

`x.mean`

  the mean of the x values

`y.mean`

  the mean of the y values

`theta`

  the central angle (in degrees) for the class

`count`

  the number of observations in this class

`mean`

  the mean of the observations in this class

`fivenum`

  the `fivenum` vector for observations in this class (the min, the lower hinge, the median, the upper hinge, and the max)

### Author(s)

Dan Kelley, with considerable help from Alex Deckmyn.

### See Also

Use `plot.windrose` to produce a summary plot, and `summary.windrose` to produce a numerical summary.

### Examples

    library(oce)
    xcomp <- rnorm(360) + 1
    ycomp <- rnorm(360)
    wr <- as.windrose(xcomp, ycomp)
    summary(wr)
    plot(wr)

[Package oce version 0.9-18 Index]